<template>
  <div id="ViewMembers">
    <div class="login-box shadow-sm mb-5 bg-white rounded">
    <div class="p-5">
    <table class="table">
  <thead>
    <tr>
      <th scope="col"><h5>#</h5></th>
      <th colspan="2" scope="col"><h5>Sus miembros</h5></th>
      <th scope="col"> </th>
    </tr>
  </thead>
  <tbody>
    <tr v-for="(user, key) in this.family_users" v-bind:key="key">
      <th scope="row">{{key+1}}</th>
      <td colspan="2">{{user}}</td>
      <td > </td>
    </tr>
  </tbody>
</table>
</div>
</div>
  </div>
</template>

<script>
import { mapState, mapGetters } from 'vuex'
import { RTDB } from '../main.js';

export default {
  computed:{
    ...mapGetters(['getCodeFamily']),
  },
  name: 'ViewMembers',
  data () {
    return {
      family_users: [],
      code:"0",
    };
  },
  mounted(){
    let all = this;
    const axios = require('axios').default;
    axios.get("http://localhost:55275/AppartamentoService.svc/GetUsersOfFamilyAsync/"+this.getCodeFamily).then(function (response){
    var result = response.data.split(",");
    var cont=0;
    result.forEach(element => {
      cont++;
      RTDB.ref('usuario/'+element+'/correo').on('value',snapshot=>{
      all.family_users.push(snapshot.val())});
   });
});

  }
};
</script>
<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.login-box{
  max-width: 480px;
}
.form-input, .form-input:focus{
  border-color: #3C394A;
  border-bottom-width: 2px;
  border-top: 0;
  border-right: 0;
  border-left: 0;
  border-radius: 0;
  box-shadow: none;
  max-width: 100%;
}
.form-input:focus{
  border-color: #009A9A;
}
.btn-primary {
  color: #fff;
  background-color: #009A9A;
  border-color: #009A9A;
}
.btn-primary:hover{
  background-color: #45b5b5 !important;
}

h5, h3 {
  color: #45b5b5;
  font-weight: bold;
}
</style>
